org.eclipse.aether.graph

## Class DefaultDependencyNode

- java.lang.Object
- - org.eclipse.aether.graph.DefaultDependencyNode

- All Implemented Interfaces:
    DependencyNode

      public final class DefaultDependencyNode
      extends Object
      implements DependencyNode

  A node within a dependency graph.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultDependencyNode()` Creates an empty dependency node.
    `DefaultDependencyNode(Dependency dependency)` Creates a new root node with the specified dependency.
    `DefaultDependencyNode(DependencyNode node)` Creates a shallow clone of the specified node.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(DependencyVisitor visitor)` Traverses this node and potentially its children using the specified visitor.
    `Collection<Artifact>` | `getAliases()` Gets the known aliases for this dependency's artifact.
    `List<DependencyNode>` | `getChildren()` Gets the child nodes of this node.
    `Map<Object,Object>` | `getData()` Gets the custom data associated with this dependency node.
    `Dependency` | `getDependency()` Gets the dependency associated with this node.
    `String` | `getPremanagedScope()` Gets the scope for the dependency before dependency management was applied (if any).
    `String` | `getPremanagedVersion()` Gets the version or version range for the dependency before dependency management was applied (if any).
    `List<Artifact>` | `getRelocations()` Gets the sequence of relocations that was followed to resolve the artifact referenced by the dependency.
    `List<RemoteRepository>` | `getRepositories()` Gets the remote repositories from which this node's artifact shall be resolved.
    `String` | `getRequestContext()` Gets the request context in which this dependency node was created.
    `Version` | `getVersion()` Gets the version that was selected for the dependency's target artifact.
    `VersionConstraint` | `getVersionConstraint()` Gets the version constraint that was parsed from the dependency's version declaration.
    `void` | `setAliases(Collection<Artifact> aliases)` Sets the known aliases for this dependency's artifact.
    `void` | `setArtifact(Artifact artifact)` Sets the artifact of the dependency.
    `void` | `setData(Map<Object,Object> data)`
    `void` | `setData(Object key, Object value)` Associates the specified dependency node data with the given key.
    `void` | `setDependency(Dependency dependency)`
    `void` | `setPremanagedScope(String premanagedScope)` Sets the scope for this dependency before dependency management was applied (if any).
    `void` | `setPremanagedVersion(String premanagedVersion)` Sets the version or version range for this dependency before dependency management was applied (if any).
    `void` | `setRelocations(List<Artifact> relocations)` Sets the sequence of relocations that was followed to resolve this dependency's artifact.
    `void` | `setRepositories(List<RemoteRepository> repositories)` Sets the remote repositories from which this node's artifact shall be resolved.
    `void` | `setRequestContext(String context)` Sets the request context in which this dependency node was created.
    `void` | `setScope(String scope)` Sets the scope of the dependency.
    `void` | `setVersion(Version version)`
    `void` | `setVersionConstraint(VersionConstraint versionConstraint)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultDependencyNode

          public DefaultDependencyNode()

      Creates an empty dependency node.

    - #### DefaultDependencyNode

          public DefaultDependencyNode(Dependency dependency)

      Creates a new root node with the specified dependency.
      Parameters:
        `dependency` - The dependency associated with this node, may be `null`.

    - #### DefaultDependencyNode

          public DefaultDependencyNode(DependencyNode node)

      Creates a shallow clone of the specified node.
      Parameters:
        `node` - The node to copy, must not be `null`.

  - ### Method Detail

    - #### getChildren

          public List<DependencyNode> getChildren()

      Description copied from interface: `DependencyNode`
      Gets the child nodes of this node.
      Specified by:
        `getChildren` in interface `DependencyNode`
      Returns:
        The child nodes of this node, never `null`.

    - #### getDependency

          public Dependency getDependency()

      Description copied from interface: `DependencyNode`
      Gets the dependency associated with this node. Note: For dependency graphs that have been constructed without a root dependency, the root node will not have a dependency associated with it.
      Specified by:
        `getDependency` in interface `DependencyNode`
      Returns:
        The dependency or `null` if none.

    - #### setDependency

          public void setDependency(Dependency dependency)

    - #### setArtifact

          public void setArtifact(Artifact artifact)

      Description copied from interface: `DependencyNode`
      Sets the artifact of the dependency.
      Specified by:
        `setArtifact` in interface `DependencyNode`
      Parameters:
        `artifact` - The artifact satisfying the dependency, must not be `null`.

    - #### getRelocations

          public List<Artifact> getRelocations()

      Description copied from interface: `DependencyNode`
      Gets the sequence of relocations that was followed to resolve the artifact referenced by the dependency.
      Specified by:
        `getRelocations` in interface `DependencyNode`
      Returns:
        The (read-only) sequence of relocations, never `null`.

    - #### setRelocations

          public void setRelocations(List<Artifact> relocations)

      Sets the sequence of relocations that was followed to resolve this dependency's artifact.
      Parameters:
        `relocations` - The sequence of relocations, may be `null`.

    - #### getAliases

          public Collection<Artifact> getAliases()

      Description copied from interface: `DependencyNode`
      Gets the known aliases for this dependency's artifact. An alias can be used to mark a patched rebuild of some other artifact as such, thereby allowing conflict resolution to consider the patched and the original artifact as a conflict.
      Specified by:
        `getAliases` in interface `DependencyNode`
      Returns:
        The (read-only) set of known aliases, never `null`.

    - #### setAliases

          public void setAliases(Collection<Artifact> aliases)

      Sets the known aliases for this dependency's artifact.
      Parameters:
        `aliases` - The known aliases, may be `null`.

    - #### getVersionConstraint

          public VersionConstraint getVersionConstraint()

      Description copied from interface: `DependencyNode`
      Gets the version constraint that was parsed from the dependency's version declaration.
      Specified by:
        `getVersionConstraint` in interface `DependencyNode`
      Returns:
        The version constraint for this node or `null`.

    - #### setVersionConstraint

          public void setVersionConstraint(VersionConstraint versionConstraint)

    - #### getVersion

          public Version getVersion()

      Description copied from interface: `DependencyNode`
      Gets the version that was selected for the dependency's target artifact.
      Specified by:
        `getVersion` in interface `DependencyNode`
      Returns:
        The parsed version or `null`.

    - #### setVersion

          public void setVersion(Version version)

    - #### setScope

          public void setScope(String scope)

      Description copied from interface: `DependencyNode`
      Sets the scope of the dependency.
      Specified by:
        `setScope` in interface `DependencyNode`
      Parameters:
        `scope` - The scope, may be `null`.

    - #### getPremanagedVersion

          public String getPremanagedVersion()

      Description copied from interface: `DependencyNode`
      Gets the version or version range for the dependency before dependency management was applied (if any).
      Specified by:
        `getPremanagedVersion` in interface `DependencyNode`
      Returns:
        The dependency version before dependency management or `null` if the version was not managed.

    - #### setPremanagedVersion

          public void setPremanagedVersion(String premanagedVersion)

      Sets the version or version range for this dependency before dependency management was applied (if any).
      Parameters:
        `premanagedVersion` - The originally declared dependency version or `null` if the version was not managed.

    - #### getPremanagedScope

          public String getPremanagedScope()

      Description copied from interface: `DependencyNode`
      Gets the scope for the dependency before dependency management was applied (if any).
      Specified by:
        `getPremanagedScope` in interface `DependencyNode`
      Returns:
        The dependency scope before dependency management or `null` if the scope was not managed.

    - #### setPremanagedScope

          public void setPremanagedScope(String premanagedScope)

      Sets the scope for this dependency before dependency management was applied (if any).
      Parameters:
        `premanagedScope` - The originally declared dependency scope or `null` if the scope was not managed.

    - #### getRepositories

          public List<RemoteRepository> getRepositories()

      Description copied from interface: `DependencyNode`
      Gets the remote repositories from which this node's artifact shall be resolved.
      Specified by:
        `getRepositories` in interface `DependencyNode`
      Returns:
        The (read-only) list of remote repositories to use for artifact resolution, never `null`.

    - #### setRepositories

          public void setRepositories(List<RemoteRepository> repositories)

      Sets the remote repositories from which this node's artifact shall be resolved.
      Parameters:
        `repositories` - The remote repositories to use for artifact resolution, may be `null`.

    - #### getRequestContext

          public String getRequestContext()

      Description copied from interface: `DependencyNode`
      Gets the request context in which this dependency node was created.
      Specified by:
        `getRequestContext` in interface `DependencyNode`
      Returns:
        The request context, never `null`.

    - #### setRequestContext

          public void setRequestContext(String context)

      Description copied from interface: `DependencyNode`
      Sets the request context in which this dependency node was created.
      Specified by:
        `setRequestContext` in interface `DependencyNode`
      Parameters:
        `context` - The context, may be `null`.

    - #### getData

          public Map<Object,Object> getData()

      Description copied from interface: `DependencyNode`
      Gets the custom data associated with this dependency node. Clients of the repository system can use this data to annotate dependency nodes with domain-specific information.
      Specified by:
        `getData` in interface `DependencyNode`
      Returns:
        The (read-only) key-value mappings, never `null`.

    - #### setData

          public void setData(Map<Object,Object> data)

    - #### setData

          public void setData(Object key,
                     Object value)

      Description copied from interface: `DependencyNode`
      Associates the specified dependency node data with the given key. Note: This method must not be called while `DependencyNode.getData()` is being iterated.
      Specified by:
        `setData` in interface `DependencyNode`
      Parameters:
        `key` - The key under which to store the data, must not be `null`.
        `value` - The data to associate with the key, may be `null` to remove the mapping.

    - #### accept

          public boolean accept(DependencyVisitor visitor)

      Description copied from interface: `DependencyNode`
      Traverses this node and potentially its children using the specified visitor.
      Specified by:
        `accept` in interface `DependencyNode`
      Parameters:
        `visitor` - The visitor to call back, must not be `null`.
      Returns:
        `true` to visit siblings nodes of this node as well, `false` to skip siblings.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2010-2012 The Eclipse Foundation. All Rights Reserved.